Last Comment Bug 781367 - Clean up some old Mac code in comm-central
: Clean up some old Mac code in comm-central
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: Thunderbird 18.0
Assigned To: Nomis101
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 15:38 PDT by Nomis101
Modified: 2012-09-25 15:56 PDT (History)
3 users (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Cleanup patch (15.79 KB, patch)
2012-08-08 15:38 PDT, Nomis101
standard8: review-
Details | Diff | Splinter Review
Cleanup patch v2 (18.58 KB, patch)
2012-08-10 03:35 PDT, Nomis101
no flags Details | Diff | Splinter Review
Cleanup patch v2 (18.53 KB, patch)
2012-08-10 03:42 PDT, Nomis101
standard8: review+
Details | Diff | Splinter Review
Patch for check-in (17.17 KB, patch)
2012-09-25 15:46 PDT, Nomis101
no flags Details | Diff | Splinter Review

Description Nomis101 2012-08-08 15:38:19 PDT
Created attachment 650342 [details] [diff] [review]
Cleanup patch

Comm-central code contains some code pieces which are not supported anymore (mostly powerpc-apple-darwin code). This patch removes all of this unsupported code. I also opened TBSpotlight.xcodeproj with Xcode, so everything gets updated automatically. Because it complained about "Thunderbird.mdimporter" vs "thunderbird.mdimporter" I changed every occurrence of the mdimporter to "Thunderbird".
Comment 1 Mark Banner (:standard8) 2012-08-10 02:38:46 PDT
Comment on attachment 650342 [details] [diff] [review]
Cleanup patch

Using Thunderbird.mdimporter will regress an earlier change where we were broken with our symbol building due to the way case-sensitivity works badly on Mac, so we can't change that back again, it needs to be all lower-case.
Comment 2 Nomis101 2012-08-10 03:35:16 PDT
Created attachment 650841 [details] [diff] [review]
Cleanup patch v2

Ah, interestingly, I didn't know that. So, I changed all to lower case than.
Comment 3 Nomis101 2012-08-10 03:42:10 PDT
Created attachment 650842 [details] [diff] [review]
Cleanup patch v2

Had to remove this stupid LastUpgradeCheck...
Comment 4 Philip Chee 2012-08-13 02:38:23 PDT
Can this be removed only after TB 17 so that TenFourbird PPC can build a 17ESR successfully?
Comment 5 Nomis101 2012-08-13 03:50:15 PDT
Hm, I don't think this will hinder TenFourbird PPC in any way. This patch will only remove ony single leftover line of PPC code. Which can reverted easily, if needed. There are much bigger obstacles for PPC builds in Core code. But I'm up for whatever Mark thinks.
Comment 6 Mozilla RelEng Bot 2012-09-24 17:00:31 PDT
Try run for f506875c8e43 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=f506875c8e43
Results (out of 10 total builds):
    success: 8
    warnings: 1
    failure: 1
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/bugzilla@standard8.plus.com-f506875c8e43
Comment 7 Mark Banner (:standard8) 2012-09-25 01:48:16 PDT
Comment on attachment 650842 [details] [diff] [review]
Cleanup patch v2

Review of attachment 650842 [details] [diff] [review]:
-----------------------------------------------------------------

Sorry for the delay in getting to this. r=me with the following dropped.

::: mail/installer/removed-files.in
@@ +336,5 @@
>  res/html/gopher-text.gif
>  res/html/gopher-unknown.gif
>  @DLL_PREFIX@sqlite3@DLL_SUFFIX@
>  #ifdef XP_MACOSX
> +  Thunderbird.app/Contents/Library/Spotlight/thunderbird.mdimporter/Contents/Info.plist

iirc, these were from a time we were placing the mdimporter in totally the wrong place, and so the case should remain the same (i.e. drop the changes in this file).
Comment 8 Nomis101 2012-09-25 15:46:15 PDT
Created attachment 664683 [details] [diff] [review]
Patch for check-in

Oh yes, you are absolutely right. I droped the changes.
Comment 9 Ryan VanderMeulen [:RyanVM] 2012-09-25 15:56:37 PDT
https://hg.mozilla.org/comm-central/rev/53dc82062ba8

Note You need to log in before you can comment on or make changes to this bug.